VIDEOMASS(1)

NAME
videomass - Cross-platform Graphical User Interface for FFmpeg and yt-dlp.

SYNOPSIS
videomass [-h] [--version] [-c] [--make-portable DIRNAME]

DESCRIPTION
Videomass is a powerful, multitasking and cross-platform graphical user interface (GUI) for FFmpeg and yt-dlp. It offers a wide range of features and functions, making it a comprehensive software solution. Videomass is written in Python3 using the wxPython GUI toolkit, it is cross-platform and work on Gnu/Linux, macOS, MS-Windows and FreeBSD.

OPTIONS

-h, --help
    Show a brief list of options and exit.

-v, --version:
    Output version information and exit.

-c, --check
    List of executables used by Videomass found on the system.

--make-portable DIRNAME
    Make the application fully portable and stealth. Use this option whenever you want to keep all application data stored separately from conventional platform directories and provide only relative paths. It expects you to specify a preferred location (DIRNAME) where storing the new application data as user preferences, cache files, log files and default output folder. The first time, all of this involves reconfiguring the application through the wizard dialog.

EXAMPLES

Run from source code:
    python3 launcher

Run from Python REPL:
    >>> from videomass import gui_app
    >>> gui_app.main()

MAINTAINER
jeanslack

- Gianluca Pernigotto -- Project leader and developer

HOMEPAGE
https://jeanslack.github.io/Videomass/

REPORTING BUGS
For bug reports, please visit <https://github.com/jeanslack/Videomass/issues> or email me at:

Gianluca Pernigotto <jeanlucperni@gmail.com>

AUTHOR
This manual page was written by Gianluca Pernigotto <jeanlucperni@gmail.com>, for the Debian project (but may be used by others).

SEE ALSO
python3(1), ffmpeg(1), yt-dlp(1),

COPYRIGHT
Copyright 2020/2024 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.